コンテンツにスキップ

ホスト

https://api.next-engine.org

エンドポイント

/api_v1_master_goodscategory/search

入力パラメータはPOST、出力パラメータはレスポンス(レスポンスボディにJSON)になります

検索条件を複数指定した場合、全ての条件がかつ(AND)となります

パラメータ省略備考
access_tokenaccess_token取得により取得した値必須(SDKの場合不要)
refresh_tokenaccess_token取得により取得した値可能(SDKの場合不要)【指定してaccess_tokenの有効期限が切れた場合】 正常に出力パラメータが設定されaccess_tokenとrefresh_tokenが新しい値に更新されます 【省略してaccess_tokenの有効期限が切れた場合】 出力パラメータ「result」の値がredirectになります(成功時以外の出力パラメータ参照)
wait_flag1:メイン機能過負荷でも可能な限りエラーにせず実行1以外:メイン機能過負荷の場合、003002のエラーを返却可能(省略時は1以外とする)詳細はパラメータ共通事項「待機フラグについて」を参照して下さい
fields検索結果で取得するフィールドをカンマ区切りで指定(SELECT句相当)必須例:商品マスタ検索で「goods_id, goods_name, stock_quantity, supplier_name」を指定した場合、「商品コード、商品名、在庫数、仕入先名」を検索結果として取得します
フィールド名-比較演算子(WHERE句のカラムと比較演算子相当)検索条件の値(WHERE句の値相当)可能例:商品マスタ検索でパラメータ:goods_id-like、値:”%-red”と指定した場合、商品コードが*-redの商品マスタを検索します
offsetオフセットの数値(OFFSET句相当)可能(省略時0)0:一番最初の検索結果から取得、1:2番めの検索結果から取得・・・
limit取得数の数値(LIMIT句相当)可能(省略時10000)
パラメータ名備考
resultsuccesssuccess以外の場合の出力パラメータは成功時以外の出力パラメータ参照
access_token入力パラメータで指定したaccess_token/新たに発行されたaccess_token有効なrefresh_tokenを指定してaccess_tokenの有効期限がきれた場合、新たに発行(この時点から1日有効)されたaccess_tokenになります
access_token_end_dateaccess_tokenの有効期限切れ日時
refresh_token入力パラメータで指定したrefresh_token/新たに発行されたrefresh_tokenaccess_tokenが新しく発行された場合、新たに発行(この時点から3日有効)されたrefresh_tokenになります
refresh_token_end_daterefresh_tokenの有効期限切れ日時
count検索結果の件数
data検索結果の連想配列(JSONのオブジェクト型)

入力パラメータのfieldsの指定を増やすほど処理に時間が掛かります。必要な情報のみ検索した方がより高速になります

検索結果のデータ量が増える程、指数関数的に検索結果の取得に時間がかかります(アプリのWebサーバーの性能が低い程顕著です)。Webサーバーの見直し又は、limit又はfieldsを調整して下さい

大量の検索結果を取得する場合、アクセスが集中する07:00~22:00の時間帯を避けてバックグラウンドで情報を取得することを推奨します

項目名フィールド名データ型備考
商品カテゴリIDgoods_category_id数値型
商品コードgoods_category_goods_id文字列型
モールコードgoods_category_mall_id数値型
カテゴリ(ID)goods_category_mall_category_id数値型モールの場合、本カラムにモールカテゴリIDが設定される
カテゴリ(テキスト)goods_category_text文字列型カートの場合、本カラムに店舗カテゴリのテキストが設定される
削除フラグgoods_category_deleted_flag文字列型
作成日goods_category_creation_date日時型
最終更新日goods_category_last_modified_date日時型
最終更新日goods_category_last_modified_null_safe_date日時型NULLの場合作成日
作成担当者IDgoods_category_creator_id数値型
作成担当者名goods_category_creator_name文字列型
最終更新者IDgoods_category_last_modified_by_id数値型
最終更新者IDgoods_category_last_modified_by_null_safe_id数値型NULLの場合作成者ID
最終更新者名goods_category_last_modified_by_name文字列型
最終更新者名goods_category_last_modified_by_null_safe_name文字列型NULLの場合作成者名
項目名フィールド名データ型備考
モールカテゴリIDmall_category_id数値型
モール/カートIDmall_category_mall_id数値型
モールカテゴリコードmall_category_code文字列型
親モールカテゴリIDmall_category_parent_mall_category_id数値型
カテゴリ名mall_category_name文字列型Ex:パソコン
カテゴリ名(フル)mall_category_full_name文字列型Ex: オークション > コンピュータ > パソコン
削除フラグmall_category_deleted_flag文字列型
作成日mall_category_creation_date日時型
最終更新日mall_category_last_modified_date日時型
最終更新日mall_category_last_modified_null_safe_date日時型NULLの場合作成日
作成担当者IDmall_category_creator_id数値型
作成担当者名mall_category_creator_name文字列型
最終更新者IDmall_category_last_modified_by_id数値型
最終更新者IDmall_category_last_modified_by_null_safe_id数値型NULLの場合作成者ID
最終更新者名mall_category_last_modified_by_name文字列型
最終更新者名mall_category_last_modified_by_null_safe_name文字列型NULLの場合作成者名

サンプル

リクエスト

Terminal window
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'access_token=xxxxxxxxx&refresh_token=xxxxxxxxx&fields=xxxxxxxx,xxxxxxx&goods_category_id-like=xxxxx&offset=0&limit=2' https://api.next-engine.org/api_v1_master_goodscategory/search

レスポンス

{
"result": "success",
"count": "2",
"data": [
{
"goods_category_id": "1",
"goods_category_goods_id": "TestP001",
"goods_category_mall_id": "90",
"goods_category_text": "test product category",
"goods_category_deleted_flag": "1",
"goods_category_creation_date": "2017-02-09 13:45:13",
"goods_category_last_modified_date": "2017-02-10 16:37:16",
"goods_category_last_modified_null_safe_date": "2017-02-10 16:37:16",
"goods_category_creator_id": "10003",
"goods_category_creator_name": "xxxxx",
"goods_category_last_modified_by_id": "10003",
"goods_category_last_modified_by_null_safe_id": "10003",
"goods_category_last_modified_by_name": "xxxxx",
"goods_category_last_modified_by_null_safe_name": "xxxxx",
"mall_category_id": null,
"mall_category_mall_id": null,
"mall_category_code": null,
"mall_category_parent_mall_category_id": null,
"mall_category_name": null,
"mall_category_full_name": null,
"mall_category_deleted_flag": null,
"mall_category_creation_date": null,
"mall_category_last_modified_date": null,
"mall_category_last_modified_null_safe_date": null,
"mall_category_creator_id": null,
"mall_category_creator_name": null,
"mall_category_last_modified_by_id": null,
"mall_category_last_modified_by_null_safe_id": null,
"mall_category_last_modified_by_name": null,
"mall_category_last_modified_by_null_safe_name": null
},
{
"goods_category_id": "2",
"goods_category_goods_id": "TestP001",
"goods_category_mall_id": "15",
"goods_category_text": "",
"goods_category_deleted_flag": "0",
"goods_category_creation_date": "2017-02-09 13:51:39",
"goods_category_last_modified_date": "2017-02-09 13:51:39",
"goods_category_last_modified_null_safe_date": "2017-02-09 13:51:39",
"goods_category_creator_id": "10003",
"goods_category_creator_name": "xxxxx",
"goods_category_last_modified_by_id": "10003",
"goods_category_last_modified_by_null_safe_id": "10003",
"goods_category_last_modified_by_name": "xxxxx",
"goods_category_last_modified_by_null_safe_name": "xxxxx",
"mall_category_id": "31402",
"mall_category_mall_id": "15",
"mall_category_code": "2084240603",
"mall_category_parent_mall_category_id": "31400",
"mall_category_name": "子ども用",
"mall_category_full_name": "オークション > ファッション > ハンドメイド > 子ども用",
"mall_category_deleted_flag": "0",
"mall_category_creation_date": "2014-11-05 15:16:43",
"mall_category_last_modified_date": "2015-01-19 11:45:24",
"mall_category_last_modified_null_safe_date": "2015-01-19 11:45:24",
"mall_category_creator_id": "9999",
"mall_category_creator_name": "管理者",
"mall_category_last_modified_by_id": "9999",
"mall_category_last_modified_by_null_safe_id": "9999",
"mall_category_last_modified_by_name": "管理者",
"mall_category_last_modified_by_null_safe_name": "管理者"
}
],
"access_token": "xxxxx",
"access_token_end_date": "2017-04-18 11:19:26",
"refresh_token": "xxxxx",
"refresh_token_end_date": "2017-04-20 11:19:26"
}

エンドポイント固有のエラーコードはありません。 共通エラーコードは メッセージコード一覧 を参照してください。

同じカテゴリの他のエンドポイント (商品カテゴリ)

Section titled “同じカテゴリの他のエンドポイント (商品カテゴリ)”